@extends('layout.app')

@section('left-menu')
    @parent
    <ul>     
        <a href="/userprofile"><li>Mój profil<img src="../img/left_menu_icon/edit.png"></li></a>
        <a href="/userprofile/edit"><li>Edytuj profil<img src="../img/left_menu_icon/edit.png"></li></a>
        <a href="/userprofile/szkolenia"><li>Szkolenia<img src="../img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/odznaczenia"><li>Odznaczenia<img src="../img/left_menu_icon/more.png"></li></a>
    </ul>
@stop

@section('center-area')
@parent
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Zmiana hasła</div>
   
                <div class="card-body">
                    <form method="POST" action="/userprofile/passwordchange">
                        @csrf 
                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">Obecne hasło</label>
  
                            <div class="col-md-6">
                                <input id="current_password" type="password" class="form-control" name="current_password">
                            </div>
                        </div>
  
                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">Nowe hasło</label>
  
                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control" name="password">
                            </div>
                        </div>
  
                        <div class="form-group row">
                            <label for="password_confirmation" class="col-md-4 col-form-label text-md-right">Powtórz nowe hasło</label>
    
                            <div class="col-md-6">
                                <input id="password_confirmation" type="password" class="form-control" name="password_confirmation">
                            </div>
                        </div>
   
                        <div class="form-group row mb-0">
                            <div class="col-md-8 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    Zmień hasło
                                </button>
                            </div>
                        </div>
                        @include('inc.formerrors')
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@stop