@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/sprzet/add"><li>Dodaj<img src="/./img/left_menu_icon/add.png"></li></a>
        <li>Edytuj<img src="/./img/left_menu_icon/edit.png"></li>
        <li>Usuń<img src="/./img/left_menu_icon/delete.png"></li>
    </ul>
@stop

@section('center-area')
    @parent
    <form method="POST" action="/sprzet/edit">
        {{ csrf_field() }}

        <input type="hidden" class="form-control" name="equipmentID" value="{{ $equipment->id }}">
        <div class="form-group">
            <label for="name">Nazwa:</label>
            <input type="text" class="form-control" id="name" name="name" value="{{ $equipment->name }} ">
        </div>

        <div class="form-group">
            <label for="amount">Ilość:</label>
            <input type="text" class="form-control" id="amount" name="amount" value="{{ $equipment->amount }}">
        </div>

        <div class="form-group">
            <label for="parameter">Parametr charakterystyczny:</label>
            <input type="text" class="form-control" id="parameter" name="parameter" value="{{ $equipment->parameter }}">
        </div>

		<div class="form-group">
            <button style="cursor:pointer" type="submit" class="btn btn-primary">Zatwierdź</button>
        </div>
        @include('inc.formerrors')
    </form>
@stop