@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/userprofile"><li>Mój profil<img src="../img/left_menu_icon/edit.png"></li></a>
        <a href="/userprofile/szkolenia"><li>Szkolenia<img src="../img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/odznaczenia"><li>Odznaczenia<img src="../img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/passwordchange"><li>Zmiana hasła<img src="../img/left_menu_icon/edit.png"></li></a>
    </ul>
@stop

@section('center-area')
    @parent
    <form method="POST" action="/userprofile/edit">
        {{ csrf_field() }}

        <input type="hidden" class="form-control" name="userID" value="{{ $userData->id }}">
        <div class="form-group">
            <label for="name">Imię:</label>
            <input type="text" class="form-control" id="name" name="name" value="{{ $userData->name }} ">
        </div>

        <div class="form-group">
            <label for="amount">Nazwisko:</label>
            <input type="text" class="form-control" id="surname" name="surname" value="{{ $userData->surname }}">
        </div>

        <div class="form-group">
            <label for="parameter">PESEL:</label>
            <input type="text" class="form-control" id="PESEL" name="PESEL" value="{{ $userData->PESEL }}">
        </div>

        <div class="form-group">
            <label for="parameter">Numer telefonu:</label>
            <input type="text" class="form-control" id="phoneNumber" name="phoneNumber" value="{{ $userData->phoneNumber }}">
        </div>
        <div class="form-group">
            <label for="parameter">Adres e-mail:</label>
            <input type="email" class="form-control" id="email" name="email" value="{{ $userData->email }}">
        </div>

		<div class="form-group">
            <button style="cursor:pointer" type="submit" class="btn btn-primary">Zatwierdź</button>
        </div>
        @include('inc.formerrors')
    </form>
@stop