@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/pojazdy/add"><li>Dodaj<img src="img/left_menu_icon/add.png"></li></a>
        <li>Edytuj<img src="img/left_menu_icon/edit.png"></li>
        <li>Usuń<img src="img/left_menu_icon/delete.png"></li>
        <li>Zawieś<img src="img/left_menu_icon/suspended.png"></li>
    </ul>
@stop

@section('center-area')
    @parent
    <form method="POST" action="/pojazdy/edit">
        {{ csrf_field() }}

        <input type="hidden" class="form-control" name="vehicleID" value="{{ $vehicle->id }}">
        <div class="form-group">
            <label for="name">Nazwa:</label>
            <input type="text" class="form-control" id="name" name="name" value="{{ $vehicle->name }} ">
        </div>

        <div class="form-group">
            <label for="codename">Kryptonim:</label>
            <input type="text" class="form-control" id="codename" name="codename" value="{{ $vehicle->codename }}">
        </div>

        <div class="form-group">
            <label for="brand">Marka:</label>
            <input type="text" class="form-control" id="brand" name="brand" value="{{ $vehicle->brand }}">
        </div>

        <div class="form-group">
            <label for="registrationNumber">Numer rejestracyjny:</label>
            <input type="text" class="form-control" id="registrationNumber" name="registrationNumber" value="{{ $vehicle->registrationNumber }}">
        </div>

        <div class="form-group">
            <label for="productionYear">Rok produkcji:</label>
            <input type="text" class="form-control" id="productionYear" name="productionYear" value="{{ $vehicle->productionYear }}">
        </div>

        <div class="form-group">
            <label for="examExpirationDate">Data ważności przeglądu:</label>
            <input type="date" class="form-control" id="examExpirationDate" name="examExpirationDate" value="{{ $vehicle->examExpirationDate }}">
        </div>

        <div class="form-group">
            <label for="insuranceExpirationDate">Termin ważności ubezpieczenia OC:</label>
            <input type="date" class="form-control" id="insuranceExpirationDate" name="insuranceExpirationDate" value="{{ $vehicle->insuranceExpirationDate }}">
        </div>

        <div class="form-group">
            <label for="driveType">Układ napędowy:</label>
            <input type="text" class="form-control" id="driveType" name="driveType" value="{{ $vehicle->driveType }}">
        </div>

        <div class="form-group">
            <label for="chassisType">Typ podwozia:</label>
            <input type="text" class="form-control" id="chassisType" name="chassisType" value="{{  $vehicle->chassisType }}">
        </div>

        <div class="form-group">
            <label for="bodyProducer">Producent nadwozia:</label>
            <input type="text" class="form-control" id="bodyProducer" name="bodyProducer" value="{{ $vehicle->bodyProducer }}">
        </div>

        <div class="form-group">
            <label for="crewNumber">Ilość osób w załodze:</label>
            <input type="text" class="form-control" id="crewNumber" name="crewNumber" value="{{ $vehicle->crewNumber }}">
        </div>

        <div class="form-group">
            <label for="foamAgent">Ilość środka pianotwórczego w litrach:</label>
            <input type="text" class="form-control" id="foamAgent" name="foamAgent" value="{{ $vehicle->foamAgent }}">
        </div>

        <div class="form-group">
            <label for="enginePower">Moc silnika w kW:</label>
            <input type="text" class="form-control" id="enginePower" name="enginePower" value="{{ $vehicle->enginePower }}">
        </div>

        <div class="form-group">
            <label for="mass">Masa całkowita pojazdu:</label>
            <input type="text" class="form-control" id="mass" name="mass" value="{{ $vehicle->mass }}">
        </div>

        <div class="form-group">
            <label for="chassisNumber">Numer podwozia:</label>
            <input type="text" class="form-control" id="chassisNumber" name="chassisNumber" value="{{ $vehicle->chassisNumber }}">
        </div>

        <div class="form-group">
            <label for="engineNumber">Numer silnika:</label>
            <input type="text" class="form-control" id="engineNumber" name="engineNumber" value="{{ $vehicle->engineNumber }}">
        </div>

        <div class="form-group">
            <label for="fuelType">Rodzaj paliwa:</label>
            <input type="text" class="form-control" id="fuelType" name="fuelType" value="{{ $vehicle->fuelType }}">
        </div>

        <div class="form-group">
            <label for="chassisPoductionYear">Rok produkcji podwozia:</label>
            <input type="text" class="form-control" id="chassisPoductionYear" name="chassisPoductionYear" value="{{ $vehicle->chassisPoductionYear }}">
        </div>

        <div class="form-group">
            <label for="entryIntoServiceDate">Data wprowadzenia do eksploatacji:</label>
            <input type="text" class="form-control" id="entryIntoServiceDate" name="entryIntoServiceDate" value="{{ $vehicle->entryIntoServiceDate }}">
        </div>

        <div class="form-group">
            <label for="fireEnginePumpDescription">Opis autopompy:</label>
            <input type="text" class="form-control" id="fireEnginePumpDescription" name="fireEnginePumpDescription" value="{{ $vehicle->fireEnginePumpDescription }}">
        </div>

        <div class="form-group">
            <label for="status">Stan:</label>
            <select name="status" class="form-control">
            <option value="1" selected='selected'>Aktywny</option>
            <option value="0">Zawieszony</option>
            </select>
        </div>

		<div class="form-group">
            <button style="cursor:pointer" type="submit" class="btn btn-primary">Zatwierdź zmiany</button>
        </div>
        @include('inc.formerrors')
    </form>
@stop
