@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="sprzet/add"><li>Dodaj<img src="../img/left_menu_icon/add.png"></li></a>
        <li>Edytuj<img src="../img/left_menu_icon/edit.png"></li>
        <li>Usuń<img src="../img/left_menu_icon/delete.png"></li>
    </ul>
@stop

@section('center-area')
    @parent

    @if( auth()->check())
        @if( auth()->user()->fireStationID == NULL)
            Jednostka nie istnieje
        @else
            <p align='center'>
            <table class='firefighterViewTable'>
                <tr class='table-header'>
                    <td>Nazwa</td>
                    <td>Ilość</td>
                    <td>Param. charakterystyczny</td>        
                @foreach($equipment as $item)
                    <tr>
                        <form action="{{ route('equipment.destroy', $item->id)}}" method="post">
                        <td id="name{{ $item->id }}">{{ $item->name }}</td>
                        <td id="amount{{ $item->id }}">{{ $item->amount }}</td>
                        <td id="parameter{{ $item->id }}">{{ $item->parameter }}</td>
                        <td><a href="{{ URL::asset('sprzet/edit/'.$item->id) }}"><input type="button" onclick="" value="Edytuj"> </a></td>
                        <td>
                         {{ csrf_field() }}
                          @method('DELETE')
                          <button class="btn btn-danger" type="submit">Usuń</button>
                        </form></td>
                    </tr>
                @endforeach
            </table>
        </p>

        @endif
     @else
        Brak autoryzacji
     @endif

@stop