@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/strazacy/add"><li>Dodaj<img src="../img/left_menu_icon/add.png"></li></a>
        <li>Edytuj<img src="../img/left_menu_icon/edit.png"></li>
        <li>Wyklucz<img src="../img/left_menu_icon/delete.png"></li>
        <li>Zawieś<img src="../img/left_menu_icon/suspended.png"></li>
        <li>Więcej<img src="../img/left_menu_icon/more.png"></li>
    </ul>
@stop

@section('center-area')
    @parent
    <form method="POST" action="/strazacy">
        {{ csrf_field() }}
        <div class="form-group">
            <label for="name">Imię:</label>
            <input type="text" class="form-control" id="name" name="name" value="{{ old('name') }} ">
        </div>

        <div class="form-group">
            <label for="name">Nazwisko:</label>
            <input type="text" class="form-control" id="surname" name="surname" value="{{ old('surname') }}">
        </div>

        <div class="form-group">

            <label for="name">Pesel:</label>
            <input type="text" class="form-control" id="PESEL" name="PESEL" value="{{ old('PESEL') }}">
        </div>

        <div class="form-group">
            <label for="name">Numer telefonu:</label>
            <input type="text" class="form-control" id="phoneNumber" name="phoneNumber" value="{{ old('phoneNumber') }}">
        </div>

        <div class="form-group">
            <label for="email">Adres e-mail:</label>
            <input type="email" class="form-control" id="email" name="email" value="{{ old('email') }}">
        </div>

        <div class="form-group">
            <label for="rank">Stopień:</label>
            <select name="rank" class="form-control" style="width:250px">
                 <option value="">--- Wybierz stopień ---</option>
                @foreach ($ranks as $key => $value)
                <option value="{{ $key }}">{{ $value }}</option>
                @endforeach
            </select>
        </div>

        <div class="form-group">
            <label for="unitFunction">Funkcja:</label>
            <select name="unitFunction" class="form-control" style="width:250px">
                 <option value="0">brak funkcji</option>
                @foreach ($unitFunctions as $key => $value)
                <option value="{{ $key }}">{{ $value }}</option>
                @endforeach
            </select>
        </div>
        
        <div class="form-group">
            <button style="cursor:pointer" type="submit" class="btn btn-primary">Submit</button>
        </div>
        @include('inc.formerrors')
    </form>
@stop
