@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/strazacy/add"><li>Dodaj<img src="img/left_menu_icon/add.png"></li></a>
        <li>Edytuj<img src="img/left_menu_icon/edit.png"></li>
        <li>Wyklucz<img src="img/left_menu_icon/delete.png"></li>
        <li>Zawieś<img src="img/left_menu_icon/suspended.png"></li>
        <li>Więcej<img src="img/left_menu_icon/more.png"></li>
    </ul>
@stop

@section('center-area')
    @parent
    <form method="POST" action="/strazacy/edit">
        {{ csrf_field() }}

        <input type="hidden" class="form-control" name="userID" value="{{$fireFighter->id}}">
        <div class="form-group">
            <label for="name">Imię:</label>
            <input type="text" class="form-control" id="name" name="name" value="{{ $fireFighter->name}}">
        </div>

        <div class="form-group">
            <label for="name">Nazwisko:</label>
            <input type="text" class="form-control" id="surname" name="surname" value="{{ $fireFighter->surname }}">
        </div>

        <div class="form-group">
            <label for="name">Pesel:</label>
            <input type="text" class="form-control" id="PESEL" name="PESEL" value="{{ $fireFighter->PESEL }}">
        </div>

        <div class="form-group">
            <label for="name">Numer telefonu:</label>
            <input type="text" class="form-control" id="phoneNumber" name="phoneNumber" value="{{ $fireFighter->phoneNumber }}">
        </div>


        <div class="form-group">
            <button style="cursor:pointer" type="submit" class="btn btn-primary">Edytuj</button>
        </div>
        @include('inc.formerrors')
    </form>
@stop
