@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/userprofile/edit"><li>Edytuj profil<img src="../img/left_menu_icon/edit.png"></li></a>
        <a href="/userprofile/szkolenia"><li>Szkolenia<img src="../img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/odznaczenia"><li>Odznaczenia<img src="../img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/passwordchange"><li>Zmiana hasła<img src="../img/left_menu_icon/edit.png"></li></a>  
    </ul>
@stop

@section('center-area')
    @parent

    @if( auth()->check())

    @if (\Session::has('success'))
    <div class="alert alert-success">
        <ul>
            <li>{!! \Session::get('success') !!}</li>
        </ul>
    </div>
    @endif

            <p align='center'>
            <table class='firefighterViewTable'>
                <tr>
                        <td>Imię i nazwisko:</td>
                        <td>{{ $userData->name }} {{ $userData->surname }}</td>
                </tr>
                <tr>
                        <td>PESEL:</td>
                        <td>{{ $userData->PESEL}}</td>
                </tr>
                <tr>
                        <td>Nr telefonu:</td>
                        <td>{{ $userData->phoneNumber}}</td>
                </tr>
                <tr>
                        <td>Adres e-mail:</td>
                        <td>{{ $userData->email}}</td>
                </tr>
                <tr>
                        <td>Numer ewidencyjny:</td>
                        <td>{{ $userData->number}}</td>
                </tr>
                <tr>
                        <td>Stopień:</td>
                        <td>{{ $userData->rank}}</td>
                </tr>
                <tr>
                        <td>Funkcja:</td>
                        <td>{{ $userData->unitFunction}}</td>
                </tr>
            </table>
        </p>
     @else
        Brak autoryzacji
     @endif

@stop